1.5rc3 can not load my plugin

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

1.5rc3 can not load my plugin

Zoom.Quiet
my PyBlosxom: http://blog.zoomquiet.org/pyblosxom/ base 1.5rc3 :
- my work env. :
   + Ubuntu 10.04.3 LTS 2.6.32-33-generic i686 GNU/Linux
   + Python 2.6.5
- usage:
   pyblosxom-cmd staticrender --config </path/to/blog_dir>

want load plugin as attachment, for export *.py as entries;
    - the plugin is very simple
    - just read in .py, warped by
        '<pre class="brush: python">%s</pre>
        so with syntaxhighlighter, can read py script as highlighter ;-)

BUT:
- config in conf.py
    py["plugin_dirs"] = [
    ...
        ,os.path.join(blogdir, "plugins/preformaters")

    # py.py is in that path;
    py["load_plugins"] = [
    ...
        ,"xhtml"
        ,"py"
    ...
    py["parser"] = "xhtml"

- means the default parser is xhtml.py
    - but if there is some *.py ,usage py.py parser

- BUT when i staticrender, the py.py is not working

SO:
- parser plugin load rule is change in PyBlosxom yet?
what can i fixed ?

thanx fot any suggest;-)


--
人生苦短, Pythonic! 冗余不做,日子甭过!备份不做,十恶不赦!
俺: http://about.me/zoom.quiet
文字协议: http://creativecommons.org/licenses/by-sa/2.5/cn/



--
人生苦短, Pythonic! 冗余不做,日子甭过!备份不做,十恶不赦!
俺: http://about.me/zoom.quiet
文字协议: http://creativecommons.org/licenses/by-sa/2.5/cn/

------------------------------------------------------------------------------
Special Offer -- Download ArcSight Logger for FREE!
Finally, a world-class log management solution at an even better
price-free! And you'll get a free "Love Thy Logs" t-shirt when you
download Logger. Secure your free ArcSight Logger TODAY!
http://p.sf.net/sfu/arcsisghtdev2dev
_______________________________________________
pyblosxom-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/pyblosxom-users